@echo off
setlocal

@rem set a environment variable
call .\setenv.cmd

@rem get a install directory
reg query "HKLM\SOFTWARE\Fujitsu\MpWalker\CurrentVersion" /v "DM FullPathName" > null 2>&1
if %ERRORLEVEL% == 0 (
  for /f "tokens=1,3*" %%A in ('reg query "HKLM\SOFTWARE\Fujitsu\MpWalker\CurrentVersion" /v "DM FullPathName"') do set DMHOME=%%C
) else (
  for /f "tokens=1,3*" %%A in ('reg query "HKLM\SOFTWARE\Wow6432Node\Fujitsu\MpWalker\CurrentVersion" /v "DM FullPathName"') do set DMHOME=%%C
)

@rem write a parameter into a temporary file
:REPEAT
SET FILENAME=%RANDOM%.CSV
IF EXIST %FILENAME% GOTO REPEAT
echo "%dstsys%","part"> %FILENAME%

@rem execute commands to modify the parameter, and execute post procedures
opadessyscsv -i %FILENAME% 1>&2 && ^
%DMHOME%\mpcmtool\bin\swstart 1>&2 && ^
opaconstat -a 1>&2

@rem return normal result
if ERRORLEVEL 1 goto ERROR_END
@rem delete the temporary file
del %FILENAME%
endlocal
exit /B 0

@rem return abnormal result
: ERROR_END
@rem delete the temporary file
del %FILENAME%
echo ERROR0001 setup failed 1>&2
endlocal
exit /B 1
