#!/bin/sh

# set a environment variable
source ./setenv.sh

# write a parameter into a temporary file
filename=`mktemp tmp.XXXXX`
echo "\"$dstsys\",\"part\"" > $filename

# execute commands to modify the parameter
/opt/systemwalker/bin/opadessyscsv -i $filename 1>&2 && \

# execute post procedures
/opt/FJSVftlc/bin/swstart 1>&2 && \
/opt/systemwalker/bin/opaconstat -a 1>&2

# return result
if [ $? = "0" ]; then
 # delete the temporary file
 rm $filename 1>&2
 # return normal result
 exit 0
else
 # delete the temporary file
 rm $filename 1>&2
 # return abnormal result
 echo "ERROR0001 setup failed" 1>&2
 exit 1
fi
